#
# spec file for package python-dicttoxml
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dicttoxml
Version:        1.7.16
Release:        1.9
Summary:        Python module for converting a dictionary to XML
License:        GPL-2.0-only
Group:          Development/Languages/Python
URL:            https://github.com/quandyfactory/dicttoxml
Source:         https://files.pythonhosted.org/packages/source/d/dicttoxml/dicttoxml-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
This module converts a Python dictionary or other native data type
into a valid XML string.

%prep
%setup -q -n dicttoxml-%{version}
sed -i '1{\@^#!%{_bindir}/env python@d}' dicttoxml.py
mv LICENCE.txt LICENSE.txt

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# no testsuite found

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 1.7.16:
  * Resolved issue #98 and issue #99
  * Added `python_requires=">=3.6"` to `setup.py`
  * Fixed [issue #43]
  * Implemented [issue #82]
  * Small fixes to readme.md
  * Handle floating point keys as per [issue #61]
  * Option to return string instead of bytes as per [issue #55]
  * Reorganized readme.md to have a better flow.
  * Fixed [issue #53] break in 1.7
  * Fixed [issue #96], update readme section on debugging
  * Fixed [issue #95]: changed project.toml to support Python 3.6+ and updated
    readme documentation.
  * Simplified solution to issue 94
  * Fixed [issue #94]
  * Fixed [issue #67].
  * Fixed [issue #58] on github: debug is turned off by default, and no longer
    prints "Debug mode is off" in the console.  Fixed [issue #88] on github.
  * Made XML encoding attribute optional and editable as per [issue 83] on github.
  * Fixed [isue #91] on github.
* Wed Jun  5 2019 pgajdos@suse.com
- note there is no upstream testsuite
* Fri Nov 30 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Thu May 18 2017 toddrme2178@gmail.com
- Initial version
